HanMacWrdJGraphInternal::PictureFrame Struct Reference documentation

HanMacWrdJGraphInternal::PictureFrame Struct Referencefinal

Internal: the picture frame of a HanMacWrdJGraph. More...

Inheritance diagram for HanMacWrdJGraphInternal::PictureFrame:

## Public Member Functions
| PictureFrame (Frame const &orig)
| constructor
| ~PictureFrame () final
| destructor
bool | valid () const final
| returns true if the frame data are read
std::string | print () const
| print local data
Public Member Functions inherited from HanMacWrdJGraphInternal::Frame
| Frame ()
| constructor
| Frame (Frame const &)=default
virtual | ~Frame ()
| destructor
MWAWBox2f | getBdBox () const
| return the frame bdbox

## Public Attributes
MWAWEntry | m_entry
| the picture entry
long | m_zId
| the picture id
MWAWVec2i | m_dim
| the picture size
MWAWVec2f | m_scale
| the scale
Public Attributes inherited from HanMacWrdJGraphInternal::Frame
int | m_type
| the graph type
long | m_fileId
| the file id
int | m_id
| the local id
int | m_formatId
| the format id
int | m_page
| the page
MWAWBox2f | m_pos
| the position
float | m_baseline
| the baseline
bool | m_inGroup
| true if this node is a group's child
bool | m_parsed
| true if we have send the data
std::string | m_extra
| an extra string

## Detailed Description

Internal: the picture frame of a HanMacWrdJGraph.

## Constructor & Destructor Documentation

## ◆ PictureFrame()

HanMacWrdJGraphInternal::PictureFrame::PictureFrame | ( | Frame const & | orig | ) |
| inlineexplicit

constructor

## ◆ ~PictureFrame()

HanMacWrdJGraphInternal::PictureFrame::~PictureFrame | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

std::string HanMacWrdJGraphInternal::PictureFrame::print | ( |  | ) | const
| inline

print local data

## ◆ valid()

bool HanMacWrdJGraphInternal::PictureFrame::valid | ( |  | ) | const
| inlinefinalvirtual

returns true if the frame data are read

Reimplemented from HanMacWrdJGraphInternal::Frame.

Referenced by valid().

## Member Data Documentation

## ◆ m_dim

MWAWVec2i HanMacWrdJGraphInternal::PictureFrame::m_dim

the picture size

Referenced by PictureFrame(), and print().

## ◆ m_entry

MWAWEntry HanMacWrdJGraphInternal::PictureFrame::m_entry

the picture entry

Referenced by PictureFrame(), HanMacWrdJGraph::readPicture(), and HanMacWrdJGraph::sendPictureFrame().

## ◆ m_scale

MWAWVec2f HanMacWrdJGraphInternal::PictureFrame::m_scale

the scale

Referenced by PictureFrame(), and print().

## ◆ m_zId

long HanMacWrdJGraphInternal::PictureFrame::m_zId

the picture id

Referenced by PictureFrame(), and print().

The documentation for this struct was generated from the following file:

- HanMacWrdJGraph.cxx